#******************************************************************************
#
#       Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dUtil
#       Filename:       tcl3dVecMath.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module to handle 3D vectors and transformation
#                       matrices.
#
#******************************************************************************

# Print the contents of a 3D vector onto standard output.

proc tcl3dVec3fPrint { vec } {
    puts [format "%6.3f %6.3f %6.3f" [$vec get 0] [$vec get 1] [$vec get 2]]
}

# Print the contents of a matrix onto standard output.

proc tcl3dMatfPrint { mat } {
     for { set i 0 } { $i < 4 } { incr i } {
         for { set j 0 } { $j < 4 } { incr j } {
            puts -nonewline [format "%6.3f " [$mat get [expr 4*$j + $i]]]
        }
        puts ""
    }
}

proc tcl3dRadToDeg { ang } {
    return [expr {$ang * 180.0 / 3.1415926535}]
}

proc tcl3dDegToRad { ang } {
    return [expr {$ang * 3.1415926535 / 180.0}]
}
